<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- Generated 16 avr. 2020 10:26:51 by Hibernate Tools 3.5.0.Final -->
<hibernate-mapping>
    <class name="fr.afcepf.ai107.hibernate.entity.User" table="USER">
        <id name="id" type="java.lang.Integer">
            <column name="ID" />
            <generator class="identity" />
        </id>
        <property name="name" type="java.lang.String">
            <column name="NAME" />
        </property>
        <property name="surname" type="java.lang.String">
            <column name="SURNAME" />
        </property>
        <property name="login" type="java.lang.String">
            <column name="LOGIN" />
        </property>
        <property name="password" type="java.lang.String">
            <column name="PASSWORD" />
        </property>
        <set name="cats" table="CAT"  cascade="save-update">
            <key>
                <column name="USER" />
            </key>
            <one-to-many class="fr.afcepf.ai107.hibernate.entity.Cat" />
        </set>
    </class>
</hibernate-mapping>
